Skip to main content

Check Mandate Status


This section describes how to check a mandate status. Checking the status of a mandate requires the transaction ID retrieved from the response when setting up the subscription.

You can check the status of a mandate 10 minutes after the sale request is sent.

Endpoints

PATCH /pts/v2/billing-agreements

PATCH /pts/v2/billing-agreements

See Endpoints for the full per-brand Server URLs reference.

Example

{  "clientReferenceInformation": {    "code": "TC84100-1"  },  "paymentInformation": {    "paymentType": {      "name": "bankTransfer",      "method": {        "name": "payToPayByBank"      }    }  },  "processingInformation": {    "actionList": ["AP_REFRESH_AGREEMENT_STATUS"]  }}
{    "clientReferenceInformation": {        "code": "refnum-1234"    },    "id": "7170951366596839803955",    "orderInformation": {        "billTo": {            "firstName": "Paramjeet",            "lastName": "Ganguly",            "country": "US",            "verificationStatus": "UNVERIFIED",            "address2": "Hunstville",            "address1": "Hunstville",            "postalCode": "35649",            "locality": "Huntsville",            "administrativeArea": "AL",            "email": "[email protected]"        },        "shipTo": {            "country": "US",            "lastName": "Ganguly",            "firstName": "Paramjeet",            "phoneNumber": "9876543210",            "address2": "Hunstville",            "address1": "Hunstville",            "postalCode": "35649",            "locality": "Huntsville",            "administrativeArea": "AL"        }    },    "paymentInformation": {        "eWallet": {            "accountId": "FDYJEFZ6G5YPG"        },        "customer": {            "customerId": "FDYJEFZ6G5YPG"        }    },    "processorInformation": {        "transactionId": "PAYID-MZMMUVA08219606DD4911213"    },    "reconciliationId": "WFLAS74L0000000000000000000LWCNW3CT",    "status": "PENDING",    "submitTimeUtc": "2024-05-30T185217Z"}
FieldTypeDescription
clientReferenceInformation.code
paymentInformation.paymentType.method.name
paymentInformation.paymentType.name
processingInformation.actionListSet to AP_STATUS.

Mandate Status Values

A mandate status check returns one of these values in the status response field:

StatusDescription
ACTIVEThe mandate is active.
DECLINEDThe mandate request is declined.
EXPIREDThe mandate is no longer active due to a passed expiration date.
FAILEDThe mandate request failed. A failed request can be due to either Pay by Bank rejecting the transaction or due to a technical error.
PENDINGThe mandate request is accepted but is not active. Request the check status service to retrieve status updates.
REVOKEDThe mandate is cancelled.
SUSPENDEDThe mandate is temporarily suspended.

Last published: September 29, 2026